XMLOutputFactory (XML Standard API)
Date: 2014-11-21

javax.xml.stream

## Class XMLOutputFactory

- java.lang.Object
- - javax.xml.stream.XMLOutputFactory

-     public abstract class XMLOutputFactory
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `IS_REPAIRING_NAMESPACES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XMLOutputFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract XMLEventWriter` | `createXMLEventWriter(java.io.OutputStream stream)`
    `abstract XMLEventWriter` | `createXMLEventWriter(java.io.OutputStream stream, java.lang.String encoding)`
    `abstract XMLEventWriter` | `createXMLEventWriter(Result result)`
    `abstract XMLEventWriter` | `createXMLEventWriter(java.io.Writer stream)`
    `abstract XMLStreamWriter` | `createXMLStreamWriter(java.io.OutputStream stream)`
    `abstract XMLStreamWriter` | `createXMLStreamWriter(java.io.OutputStream stream, java.lang.String encoding)`
    `abstract XMLStreamWriter` | `createXMLStreamWriter(Result result)`
    `abstract XMLStreamWriter` | `createXMLStreamWriter(java.io.Writer stream)`
    `abstract java.lang.Object` | `getProperty(java.lang.String name)`
    `abstract boolean` | `isPropertySupported(java.lang.String name)`
    `static XMLOutputFactory` | `newInstance()`
    `static XMLInputFactory` | `newInstance(java.lang.String factoryId, java.lang.ClassLoader classLoader)`
    `abstract void` | `setProperty(java.lang.String name, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IS_REPAIRING_NAMESPACES

          public static final java.lang.String IS_REPAIRING_NAMESPACES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XMLOutputFactory

          protected XMLOutputFactory()

  - ### Method Detail

    - #### newInstance

          public static XMLOutputFactory newInstance()
                                              throws FactoryConfigurationError

      Throws:
        `FactoryConfigurationError`

    - #### newInstance

          public static XMLInputFactory newInstance(java.lang.String factoryId,
                                    java.lang.ClassLoader classLoader)
                                             throws FactoryConfigurationError

      Throws:
        `FactoryConfigurationError`

    - #### createXMLStreamWriter

          public abstract XMLStreamWriter createXMLStreamWriter(java.io.Writer stream)
                                                         throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### createXMLStreamWriter

          public abstract XMLStreamWriter createXMLStreamWriter(java.io.OutputStream stream)
                                                         throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### createXMLStreamWriter

          public abstract XMLStreamWriter createXMLStreamWriter(java.io.OutputStream stream,
                                              java.lang.String encoding)
                                                         throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### createXMLStreamWriter

          public abstract XMLStreamWriter createXMLStreamWriter(Result result)
                                                         throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### createXMLEventWriter

          public abstract XMLEventWriter createXMLEventWriter(Result result)
                                                       throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### createXMLEventWriter

          public abstract XMLEventWriter createXMLEventWriter(java.io.OutputStream stream)
                                                       throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### createXMLEventWriter

          public abstract XMLEventWriter createXMLEventWriter(java.io.OutputStream stream,
                                            java.lang.String encoding)
                                                       throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### createXMLEventWriter

          public abstract XMLEventWriter createXMLEventWriter(java.io.Writer stream)
                                                       throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### setProperty

          public abstract void setProperty(java.lang.String name,
                         java.lang.Object value)
                                    throws java.lang.IllegalArgumentException

      Throws:
        `java.lang.IllegalArgumentException`

    - #### getProperty

          public abstract java.lang.Object getProperty(java.lang.String name)
                                                throws java.lang.IllegalArgumentException

      Throws:
        `java.lang.IllegalArgumentException`

    - #### isPropertySupported

          public abstract boolean isPropertySupported(java.lang.String name)

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.